std::domain_error Class Reference
Diagnostics » Exceptions
Inheritance diagram for std::domain_error:
[legend]

## Public Member Functions

| domain_error (const string &__arg)
| domain_error (const char *)
virtual const char * | what () const noexcept

## Detailed Description

Thrown by the library, or by you, to report domain errors (domain in the mathematical sense).

Definition at line 142 of file stdexcept.

## Member Function Documentation

## what()

virtual const char* std::logic_error::what | ( |  | ) | const

virtual noexcept inherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Reimplemented in std::future_error.

The documentation for this class was generated from the following file:

- stdexcept